<?php



class TbluserdocumentMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TbluserdocumentMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TbluserdocumentPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TbluserdocumentPeer::TABLE_NAME);
		$tMap->setPhpName('Tbluserdocument');
		$tMap->setClassname('Tbluserdocument');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('USDOC_USER', 'UsdocUser', 'INTEGER', true, null);

		$tMap->addForeignPrimaryKey('USDOC_DOCUMENT', 'UsdocDocument', 'INTEGER' , 'tbldocument', 'DOC_ID', true, null);

		$tMap->addColumn('USDOC_DATE', 'UsdocDate', 'TIMESTAMP', false, null);

	} 
} 